---
updatedAt: 2026-04-21T09:25:33.000Z
agentTools:
  siteIndex: https://developer.eagleeye.com/llms.txt
  projectIndex: https://developer.eagleeye.com/eagleeye-developer/llms.txt
---

# Replace Unit Ingestion (BETA)

This method allows the calling application to update an ingestion configuration for a unit.

# OpenAPI definition

```json
{
  "x-explorer-enabled": false,
  "openapi": "3.0.3",
  "servers": [
    {
      "url": "https://resources.uk.eagleeye.com",
      "description": "UK Production."
    },
    {
      "url": "https://resources.us.eagleeye.com",
      "description": "US Production."
    },
    {
      "url": "https://resources.us2.eagleeye.com",
      "description": "US2 Production."
    },
    {
      "url": "https://resources.au.eagleeye.com",
      "description": "AU Production."
    },
    {
      "url": "https://resources.sandbox.uk.eagleeye.com",
      "description": "UK Sandbox."
    }
  ],
  "info": {
    "version": "1.67.0",
    "title": "Resource API",
    "description": "# These APIs are used for integration with the Eagle Eye AIR platform when interacting with resources."
  },
  "tags": [
    {
      "name": "Units",
      "description": "These APIs are used for managing Company and Outlet units in the AIR platform."
    },
    {
      "name": "Ingestions",
      "description": "These APIs are used for managing ingestion configurations processed by the API ingestion service."
    }
  ],
  "paths": {
    "/units/{unitId}/ingestions/{ingestionId}": {
      "put": {
        "summary": "Replace Unit Ingestion (BETA)",
        "description": "This method allows the calling application to update an ingestion configuration for a unit.",
        "parameters": [
          {
            "$ref": "#/components/parameters/unitIdParam"
          },
          {
            "$ref": "#/components/parameters/ingestionIdParam"
          },
          {
            "$ref": "#/components/parameters/eesAuthenticationClientId"
          },
          {
            "$ref": "#/components/parameters/eesAuthenticationRequestHash"
          },
          {
            "$ref": "#/components/parameters/httpAcceptEncoding"
          },
          {
            "$ref": "#/components/parameters/eesMessageId"
          },
          {
            "$ref": "#/components/parameters/eesMessageRetry"
          }
        ],
        "operationId": "putIngestionById",
        "tags": [
          "Units",
          "Ingestions"
        ],
        "requestBody": {
          "$ref": "#/components/requestBodies/unitIngestionPayload"
        },
        "responses": {
          "200": {
            "$ref": "#/components/responses/responseUnitIngestion"
          },
          "400": {
            "$ref": "#/components/responses/badRequest"
          },
          "401": {
            "$ref": "#/components/responses/unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/forbidden"
          },
          "405": {
            "$ref": "#/components/responses/methodNotAllowed"
          },
          "429": {
            "$ref": "#/components/responses/tooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/serverError"
          },
          "501": {
            "$ref": "#/components/responses/notImplemented"
          },
          "502": {
            "$ref": "#/components/responses/badGateway"
          },
          "503": {
            "$ref": "#/components/responses/serviceUnavailable"
          },
          "504": {
            "$ref": "#/components/responses/gatewayTimeout"
          }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "eesAuthenticationClientId": {
        "name": "X-EES-AUTH-CLIENT-ID",
        "in": "header",
        "description": "Client ID, This will be provided by EES and is unique to the company calling the API.",
        "required": true,
        "schema": {
          "type": "string",
          "format": "string"
        }
      },
      "eesAuthenticationRequestHash": {
        "name": "X-EES-AUTH-HASH",
        "in": "header",
        "description": "Request Security Hash, calculated using SHA-256 function from concatenated full Request URI Path with Query String(s), Payload and Client Secret.",
        "required": true,
        "schema": {
          "type": "string",
          "format": "string"
        }
      },
      "eesMessageId": {
        "name": "X-EES-TRANSACTION-ID",
        "in": "header",
        "description": "Unique Reference for the API transaction within the calling company.",
        "required": false,
        "schema": {
          "type": "string",
          "format": "string"
        }
      },
      "eesMessageRetry": {
        "name": "X-EES-RETRY",
        "in": "header",
        "description": "This flag denotes the number of attempts that have been made for this request.",
        "required": false,
        "schema": {
          "type": "string",
          "format": "string"
        }
      },
      "httpAcceptEncoding": {
        "name": "Accept-Encoding",
        "in": "header",
        "required": false,
        "description": "This request HTTP header advertises which content encoding (usually a compression algorithm) the calling application is able to understand. The server selects one of the proposals, use it and informs the client of its choice with the Content-Encoding response header. Currently supported `gzip` and `deflate`, if request header not present no compression will be used.\n",
        "schema": {
          "type": "string",
          "enum": [
            "",
            "gzip",
            "deflate",
            "gzip,deflate"
          ],
          "default": ""
        }
      },
      "unitIdParam": {
        "name": "unitId",
        "in": "path",
        "required": true,
        "description": "EES AIR Unit ID.",
        "schema": {
          "type": "string",
          "format": "Int64"
        },
        "allowEmptyValue": false
      },
      "ingestionIdParam": {
        "name": "ingestionId",
        "in": "path",
        "required": true,
        "description": "EES AIR Ingestion ID.",
        "schema": {
          "type": "string",
          "format": "uuid"
        }
      }
    },
    "requestBodies": {
      "unitIngestionPayload": {
        "description": "JSON Payload.",
        "required": true,
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/unitIngestionRequestEntity"
            }
          }
        }
      }
    },
    "schemas": {
      "error400Entity": {
        "type": "object",
        "required": [
          "errorCode",
          "errorMessage"
        ],
        "properties": {
          "errorCode": {
            "type": "string",
            "format": "string",
            "description": "Error Code",
            "example": "ISF",
            "enum": [
              "ICE",
              "IR",
              "ISF",
              "U",
              "ELE"
            ]
          },
          "errorMessage": {
            "type": "string",
            "format": "string",
            "description": "Human Friendly Error Message"
          }
        },
        "x-enum": [
          {
            "errorCode": "ICE",
            "errorMessage": "Internal Configuration Error"
          },
          {
            "errorCode": "IR",
            "errorMessage": "Invalid Request Data"
          },
          {
            "errorCode": "ISF",
            "errorMessage": "Invalid Schema format"
          },
          {
            "errorCode": "U",
            "errorMessage": "Unknown error has occurred"
          },
          {
            "errorCode": "ELE",
            "errorMessage": "Error when loading Monolog logger"
          }
        ]
      },
      "error401Entity": {
        "type": "object",
        "required": [
          "errorCode",
          "errorMessage"
        ],
        "properties": {
          "errorCode": {
            "type": "string",
            "format": "string",
            "description": "Error Code",
            "example": "UN",
            "enum": [
              "UN",
              "CCE",
              "CRN",
              "CUE"
            ]
          },
          "errorMessage": {
            "type": "string",
            "format": "string",
            "description": "Human Friendly Error Message"
          }
        },
        "x-enum": [
          {
            "errorCode": "UN",
            "errorMessage": "Unauthenticated - Check the AUTH headers and the hash is formed correctly"
          },
          {
            "errorCode": "CCE",
            "errorMessage": "Campaign Create Exception"
          },
          {
            "errorCode": "CRN",
            "errorMessage": "Campaign Reference Not Unique"
          },
          {
            "errorCode": "CUE",
            "errorMessage": "Campaign Update Exception"
          }
        ]
      },
      "error403Entity": {
        "type": "object",
        "required": [
          "errorCode",
          "errorMessage"
        ],
        "properties": {
          "errorCode": {
            "type": "string",
            "format": "string",
            "description": "Error Code",
            "example": "P",
            "enum": [
              "P",
              "IPR"
            ]
          },
          "errorMessage": {
            "type": "string",
            "format": "string",
            "description": "Human Friendly Error Message"
          }
        },
        "x-enum": [
          {
            "errorCode": "P",
            "errorMessage": "Caller unit hasn't privileges to access this unit"
          },
          {
            "errorCode": "IPR",
            "errorMessage": "IP Address Rejected"
          }
        ]
      },
      "error405Entity": {
        "type": "object",
        "required": [
          "errorCode",
          "errorMessage"
        ],
        "properties": {
          "errorCode": {
            "type": "string",
            "format": "string",
            "description": "Error Code",
            "example": "MNA",
            "enum": [
              "MNA"
            ]
          },
          "errorMessage": {
            "type": "string",
            "format": "string",
            "description": "Human Friendly Error Message"
          }
        },
        "x-enum": [
          {
            "errorCode": "MNA",
            "errorMessage": "Method not allowed"
          }
        ]
      },
      "defaultErrorEntity": {
        "type": "object",
        "required": [
          "errorCode",
          "errorMessage"
        ],
        "properties": {
          "errorCode": {
            "type": "string",
            "format": "string",
            "description": "EES AIR Error Code",
            "example": "MPA",
            "enum": [
              "NF",
              "IR",
              "U",
              "AF",
              "CE",
              "IPR",
              "MNA",
              "MPA",
              "P",
              "AA",
              "IP",
              "IH",
              "RF"
            ]
          },
          "errorMessage": {
            "type": "string",
            "format": "string",
            "description": "Human Friendly Error Message",
            "example": "Missing Mandatory Request Parameter: `parameterName`"
          },
          "details": {
            "type": "object",
            "description": "This optional object might contain an additional details regarding this error"
          }
        },
        "x-enum": [
          {
            "errorCode": "NF",
            "errorMessage": "Not Found"
          },
          {
            "errorCode": "IR",
            "errorMessage": "Invalid Request"
          },
          {
            "errorCode": "U",
            "errorMessage": "Unknown Error"
          },
          {
            "errorCode": "AF",
            "errorMessage": "Authorisation Failed"
          },
          {
            "errorCode": "CE",
            "errorMessage": "Configuration Error"
          },
          {
            "errorCode": "IPR",
            "errorMessage": "IP Address Rejected"
          },
          {
            "errorCode": "MNA",
            "errorMessage": "Method Not Allowed"
          },
          {
            "errorCode": "MPA",
            "errorMessage": "Missing Parameter"
          },
          {
            "errorCode": "P",
            "errorMessage": "Privileges"
          },
          {
            "errorCode": "AA",
            "errorMessage": "Invalid Access to API Method"
          },
          {
            "errorCode": "IP",
            "errorMessage": "Invalid Parameter"
          },
          {
            "errorCode": "IH",
            "errorMessage": "Invalid Header set"
          },
          {
            "errorCode": "RF",
            "errorMessage": "Rollback Failure"
          }
        ]
      },
      "unitIngestionRequestEntity": {
        "oneOf": [
          {
            "allOf": [
              {
                "$ref": "#/components/schemas/unitIngestionProductsEntity"
              },
              {
                "type": "object",
                "properties": {
                  "config": {
                    "type": "object",
                    "required": [
                      "incomingIdentifier"
                    ]
                  }
                },
                "required": [
                  "type",
                  "status",
                  "config"
                ]
              }
            ]
          },
          {
            "allOf": [
              {
                "$ref": "#/components/schemas/unitIngestionTransactionsEntity"
              },
              {
                "type": "object",
                "properties": {
                  "config": {
                    "type": "object",
                    "properties": {
                      "openSettlePayload": {
                        "type": "object",
                        "properties": {
                          "basket": {
                            "type": "object",
                            "properties": {
                              "contents": {
                                "type": "object",
                                "required": [
                                  "salesKey"
                                ]
                              }
                            },
                            "required": [
                              "type",
                              "contents"
                            ]
                          },
                          "options": {
                            "type": "object",
                            "required": [
                              "analyseBasket"
                            ]
                          }
                        },
                        "required": [
                          "basket",
                          "options"
                        ]
                      }
                    },
                    "required": [
                      "mapProductId",
                      "openSettlePayload"
                    ]
                  }
                },
                "required": [
                  "type",
                  "status",
                  "config"
                ]
              }
            ]
          },
          {
            "allOf": [
              {
                "$ref": "#/components/schemas/unitIngestionMembersEntity"
              },
              {
                "type": "object",
                "properties": {
                  "config": {
                    "type": "object",
                    "required": [
                      "defaults"
                    ]
                  }
                },
                "required": [
                  "type",
                  "status"
                ]
              }
            ]
          },
          {
            "allOf": [
              {
                "$ref": "#/components/schemas/unitIngestionWalletAccountCancelEntity"
              },
              {
                "type": "object",
                "required": [
                  "type",
                  "status"
                ]
              }
            ]
          },
          {
            "allOf": [
              {
                "$ref": "#/components/schemas/unitIngestionWalletsRecommendationsDeleteEntity"
              },
              {
                "type": "object",
                "required": [
                  "type",
                  "status"
                ]
              }
            ]
          }
        ]
      },
      "unitIngestionProductsEntity": {
        "title": "Unit Ingestion For Products and Groups",
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "description": "The type of ingestion.",
            "enum": [
              "PRODUCTS_AND_GROUPS"
            ]
          },
          "status": {
            "type": "string",
            "description": "The status of the ingestion.",
            "enum": [
              "ACTIVE",
              "INACTIVE"
            ]
          },
          "config": {
            "type": "object",
            "properties": {
              "incomingIdentifier": {
                "type": "string",
                "description": "EES AIR Incoming Identifier of the unit.",
                "example": "unitStore"
              }
            }
          }
        }
      },
      "unitIngestionTransactionsEntity": {
        "title": "Unit Ingestion For Offline Transactions",
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "description": "The type of ingestion.",
            "enum": [
              "OFFLINE_TRANSACTIONS"
            ]
          },
          "status": {
            "type": "string",
            "description": "The status of the ingestion.",
            "enum": [
              "ACTIVE",
              "INACTIVE"
            ]
          },
          "config": {
            "type": "object",
            "properties": {
              "mapProductId": {
                "type": "string",
                "enum": [
                  "sku",
                  "upc"
                ]
              },
              "openSettlePayload": {
                "type": "object",
                "properties": {
                  "basket": {
                    "type": "object",
                    "properties": {
                      "type": {
                        "type": "string",
                        "enum": [
                          "STANDARD"
                        ]
                      },
                      "contents": {
                        "type": "object",
                        "properties": {
                          "salesKey": {
                            "type": "string",
                            "enum": [
                              "SALE"
                            ]
                          }
                        }
                      }
                    }
                  },
                  "options": {
                    "type": "object",
                    "properties": {
                      "analyseBasket": {
                        "type": "object",
                        "properties": {
                          "enabled": {
                            "type": "boolean"
                          },
                          "includeOpenOffers": {
                            "type": "boolean"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      },
      "unitIngestionMembersEntity": {
        "title": "Unit Ingestion For Members",
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "description": "The type of ingestion.",
            "enum": [
              "MEMBERS"
            ]
          },
          "status": {
            "type": "string",
            "description": "The status of the ingestion.",
            "enum": [
              "ACTIVE",
              "INACTIVE"
            ]
          },
          "config": {
            "type": "object",
            "nullable": true,
            "properties": {
              "defaults": {
                "type": "object",
                "nullable": true,
                "properties": {
                  "identities": {
                    "type": "object",
                    "nullable": true,
                    "properties": {
                      "state": {
                        "type": "string",
                        "minLength": 1
                      },
                      "status": {
                        "type": "string",
                        "minLength": 1
                      }
                    }
                  },
                  "consumer": {
                    "type": "object",
                    "nullable": true,
                    "properties": {
                      "type": {
                        "type": "string",
                        "minLength": 1
                      },
                      "state": {
                        "type": "string",
                        "minLength": 1
                      },
                      "status": {
                        "type": "string",
                        "minLength": 1
                      }
                    }
                  },
                  "wallet": {
                    "type": "object",
                    "nullable": true,
                    "properties": {
                      "type": {
                        "type": "string",
                        "minLength": 1
                      },
                      "state": {
                        "type": "string",
                        "minLength": 1
                      },
                      "status": {
                        "type": "string",
                        "minLength": 1
                      }
                    }
                  },
                  "schemeAccounts": {
                    "type": "object",
                    "nullable": true,
                    "properties": {
                      "state": {
                        "type": "string",
                        "minLength": 1
                      },
                      "status": {
                        "type": "string",
                        "minLength": 1
                      }
                    }
                  }
                }
              }
            }
          }
        }
      },
      "unitIngestionWalletAccountCancelEntity": {
        "title": "Unit Ingestion For Wallet Account Cancel",
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "description": "The type of ingestion.",
            "enum": [
              "WALLET_ACCOUNT_CANCEL"
            ]
          },
          "status": {
            "type": "string",
            "description": "The status of the ingestion.",
            "enum": [
              "ACTIVE",
              "INACTIVE"
            ]
          }
        }
      },
      "unitIngestionWalletsRecommendationsDeleteEntity": {
        "title": "Unit Ingestion For Wallets Recommendations Delete",
        "description": "Ingestion that deletes, in bulk, the `ACTIVE` recommendations of the walletId/campaignId pairs in the ingested file. `config` is not supported for this type: omit it or send it as null.",
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "description": "The type of ingestion.",
            "enum": [
              "WALLETS_RECOMMENDATIONS_DELETE"
            ]
          },
          "status": {
            "type": "string",
            "description": "The status of the ingestion.",
            "enum": [
              "ACTIVE",
              "INACTIVE"
            ]
          }
        }
      },
      "unitIngestionResponseEntity": {
        "allOf": [
          {
            "oneOf": [
              {
                "$ref": "#/components/schemas/unitIngestionProductsEntity"
              },
              {
                "$ref": "#/components/schemas/unitIngestionTransactionsEntity"
              },
              {
                "$ref": "#/components/schemas/unitIngestionMembersEntity"
              },
              {
                "$ref": "#/components/schemas/unitIngestionWalletAccountCancelEntity"
              },
              {
                "$ref": "#/components/schemas/unitIngestionWalletsRecommendationsDeleteEntity"
              }
            ]
          },
          {
            "type": "object",
            "properties": {
              "id": {
                "type": "string",
                "format": "uuid",
                "description": "Unique ingestion identifier.",
                "example": "e4886fdf-5f3e-42d0-b868-ee3768ecb0bb"
              },
              "dateCreated": {
                "type": "string",
                "format": "date-time",
                "description": "Date the ingestion configuration was created.",
                "example": "2025-10-24T10:15:24+00:00"
              },
              "lastUpdated": {
                "type": "string",
                "format": "date-time",
                "description": "Date the ingestion configuration was last updated.",
                "example": "2025-10-24T10:15:24+00:00"
              }
            }
          }
        ]
      }
    },
    "responses": {
      "badRequest": {
        "description": "Bad Request.",
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/error400Entity"
                }
              ],
              "example": {
                "errorCode": "IR",
                "errorMessage": "Invalid Request Data"
              }
            }
          }
        }
      },
      "unauthorized": {
        "description": "Unauthorized.",
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/error401Entity"
                }
              ],
              "example": {
                "errorCode": "UN",
                "errorMessage": "Unauthenticated - Check the AUTH headers and the hash is formed correctly"
              }
            }
          }
        }
      },
      "forbidden": {
        "description": "Forbidden.",
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/error403Entity"
                }
              ],
              "example": {
                "errorCode": "P",
                "errorMessage": "Caller unit hasn't privileges to access this unit"
              }
            }
          }
        }
      },
      "methodNotAllowed": {
        "description": "Method Not Allowed.",
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/error405Entity"
                }
              ],
              "example": {
                "errorCode": "MNA",
                "errorMessage": "Method not allowed"
              }
            }
          }
        }
      },
      "tooManyRequests": {
        "description": "Too Many Requests",
        "headers": {
          "Retry-after": {
            "description": "The number of seconds after which to retry the request",
            "schema": {
              "type": "integer"
            }
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "properties": {
                "errorCode": {
                  "type": "string",
                  "description": "The error code",
                  "enum": [
                    "CE"
                  ]
                },
                "errorMessage": {
                  "type": "string",
                  "description": "The error message for this error",
                  "enum": [
                    "This request has been throttled. Please try again later."
                  ]
                }
              }
            }
          }
        }
      },
      "serverError": {
        "description": "Server Error",
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/defaultErrorEntity"
                }
              ],
              "example": {
                "errorMessage": "Internal Server Error"
              }
            }
          }
        }
      },
      "notImplemented": {
        "description": "Not Implemented",
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/defaultErrorEntity"
                }
              ],
              "example": {
                "errorMessage": "Not Implemented"
              }
            }
          }
        }
      },
      "badGateway": {
        "description": "Bad Gateway",
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/defaultErrorEntity"
                }
              ],
              "example": {
                "errorMessage": "Bad Gateway"
              }
            }
          }
        }
      },
      "serviceUnavailable": {
        "description": "Service Unavailable",
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/defaultErrorEntity"
                }
              ],
              "example": {
                "errorMessage": "Service Unavailable"
              }
            }
          }
        }
      },
      "gatewayTimeout": {
        "description": "Gateway Timeout",
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/defaultErrorEntity"
                }
              ],
              "example": {
                "errorMessage": "Gateway Timeout"
              }
            }
          }
        }
      },
      "responseUnitIngestion": {
        "description": "OK.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/unitIngestionResponseEntity"
            }
          }
        }
      }
    }
  }
}
```